Set destination travel rule message ID
Associates a Travel Rule Message ID with a specific destination in a multi-destination Fireblocks transaction. Matches destinations by amount and peer path.
POST
/
screening
/
trlink
/
transaction
/
{txId}
/
destination
/
travel_rule_message_id
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkDestinationTravelRuleMessageId(tRLinkApiSetTRLinkDestinationTravelRuleMessageIdRequest);CompletableFuture<ApiResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>> response = fireblocks.tRLink().setTRLinkDestinationTravelRuleMessageId(tRLinkSetDestinationTravelRuleMessageIdRequest, txId, idempotencyKey);response = fireblocks.t_r_link.set_t_r_link_destination_travel_rule_message_id(t_r_link_set_destination_travel_rule_message_id_request, tx_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/screening/trlink/transaction/{txId}/destination/travel_rule_message_id \
--header 'Content-Type: application/json' \
--data '
{
"amount": "1000",
"destination": {
"type": "VAULT_ACCOUNT",
"id": "12",
"subType": "0",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"travelRuleMessageId": "trm_1234567890abcdef"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '1000',
destination: {
type: 'VAULT_ACCOUNT',
id: '12',
subType: '0',
address: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
},
travelRuleMessageId: 'trm_1234567890abcdef'
})
};
fetch('https://api.fireblocks.io/v1/screening/trlink/transaction/{txId}/destination/travel_rule_message_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"updatedDestinations": 1,
"failedDestinations": 0,
"errors": []
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Fireblocks transaction unique identifier
Body
application/json
Request to set TRM ID for specific transaction destination
Response
Destination travel rule message ID set successfully
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkDestinationTravelRuleMessageId(tRLinkApiSetTRLinkDestinationTravelRuleMessageIdRequest);CompletableFuture<ApiResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>> response = fireblocks.tRLink().setTRLinkDestinationTravelRuleMessageId(tRLinkSetDestinationTravelRuleMessageIdRequest, txId, idempotencyKey);response = fireblocks.t_r_link.set_t_r_link_destination_travel_rule_message_id(t_r_link_set_destination_travel_rule_message_id_request, tx_id, idempotency_key);